import { IShellCommand } from "./IShellCommand";
import { ShellSyscall } from "../ShellSyscall";

export class cd implements IShellCommand {
    constructor(private syscall: ShellSyscall) {}

    getName(): string {
        return "cd";
    }

    execute(args: string[]): string {
        const path = args[0] || '/';
        const success = this.syscall.changeDirectory(path);
        return success ? '' : 'Invalid directory';
    }

    getManPage(): string {
        return "cd - change the shell working directory";
    }
}
