import { IShellCommand } from "./IShellCommand";
import { ShellSyscall } from "../ShellSyscall";

export class ls implements IShellCommand {
    constructor(private syscall: ShellSyscall) {}

    getName(): string {
        return 'ls';
    }

    execute(dir: string[]): string {
        const files = this.syscall.listCurrentDirectory();
        return files.join('\n');
    }

    getManPage(): string {
        return 'ls - list directory contents';
    }
}
